%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define daemon_user wwwrun
Requires: php53-iconv
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define daemon_user apache
%endif
Summary: Widgets for service listings
Name: monitor-widget-services
Group: op5/monitor
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Source0: %name-%version.tar.gz
Prefix: /opt/monitor/op5/ninja
Requires: monitor-ninja >= 3.1.0
BuildRequires: op5-phpunit
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-test
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

%description
%name contains files used by various service listing plugins.

%prep
%setup -q

%build
make check

%install
rm -rf %buildroot

mkdir -p %buildroot%prefix/application/widgets
cp -a widgets/tac_services_common %buildroot%prefix/application/widgets
cp -a widgets/tac_services_acknowledged %buildroot%prefix/application/widgets
cp -a widgets/tac_services_unacknowledged %buildroot%prefix/application/widgets

%clean
rm -rf %buildroot

%files
%defattr(644, monitor, %daemon_group, 755)
%prefix/application/widgets/tac_services_common

%package critical-unacknowledged
Summary: Widget for showing unacknowledged services in specific state(s)
Group: op5/monitor
Requires: monitor-widget-services = %version-%release
Provides: monitor-widget-services-critical-unacknowledged

%description critical-unacknowledged
%name is a monitor widget for showing a list of services that are
unacknowledged in a user-chosen state, for a chosen service group.

%post critical-unacknowledged

%postun critical-unacknowledged

%files critical-unacknowledged
%defattr(644, monitor, %daemon_group, 755)
%prefix/application/widgets/tac_services_unacknowledged

%package critical-acknowledged
Summary: Widget for showing acknowledged services in user-defined state
Group: op5/monitor
Requires: monitor-widget-services = %version-%release
Provides: monitor-widget-services-critical-acknowledged

%description critical-acknowledged
%name is a monitor widget for showing
a list of services that are acknowledged and in the user-chosen state,
for a chosen service group.

%post critical-acknowledged

%postun critical-acknowledged

%files critical-acknowledged
%defattr(644, monitor, %daemon_group, 755)
%prefix/application/widgets/tac_services_acknowledged
